namespace EDPlayerJournal.Entries;

public class CommanderEntry : Entry {
    public string? Name { get; set; }
    public string? FID { get; set; }

    protected override void Initialise() {
        Name = JSON.Value<string>("Name") ?? "";
        FID = JSON.Value<string>("FID") ?? "";
    }

    public string FullName {
        get {
            if (string.IsNullOrEmpty(Name)) {
                return string.Empty;
            }
            return "CMDR " + Name;
        }
    }
}
